Last Comment Bug 758874 - Test "browser_sanitize-download-history.js" contains typo in window name
: Test "browser_sanitize-download-history.js" contains typo in window name
Status: RESOLVED FIXED
:
Product: Toolkit
Classification: Components
Component: Download Manager (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla22
Assigned To: Benjamin Kerensa [:bkerensa]
:
Mentors:
Depends on:
Blocks: 431729
  Show dependency treegraph
 
Reported: 2012-05-26 06:08 PDT by Benedikt Pfeifer [:Mic]
Modified: 2013-03-11 17:10 PDT (History)
3 users (show)
ryanvm: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Fix the file (1.03 KB, patch)
2012-07-12 12:01 PDT, Benjamin Kerensa [:bkerensa]
mak77: review+
Details | Diff | Splinter Review
Patch with header (commit message, user,..) (1.31 KB, patch)
2013-03-10 12:23 PDT, Benedikt Pfeifer [:Mic]
no flags Details | Diff | Splinter Review
Patch with header (commit message, user,..) (1.31 KB, patch)
2013-03-11 02:30 PDT, Benedikt Pfeifer [:Mic]
no flags Details | Diff | Splinter Review

Description Benedikt Pfeifer [:Mic] 2012-05-26 06:08:54 PDT
The test at http://mxr.mozilla.org/mozilla-central/source/browser/base/content/test/browser_sanitize-download-history.js contains a check [1] that should close the UI if it's already open. The window's name is given with "Sanatize" and that seems to be a typo that breaks this part (it's the only reference to "Sanatize" that MXR can find!) and should read "Sanitize" instead.

[1] http://mxr.mozilla.org/mozilla-central/source/browser/base/content/test/browser_sanitize-download-history.js#109 (below "// Close the UI if necessary" if the line numbers should get messed up).
Comment 1 Benedikt Pfeifer [:Mic] 2012-05-26 06:11:46 PDT
I hope setting "Blocks 431729" is correct, since it was introduced with this bug as it seems?
Comment 2 Benjamin Kerensa [:bkerensa] 2012-07-12 12:01:08 PDT
Created attachment 641555 [details] [diff] [review]
Fix the file

This should fix it.
Comment 3 Marco Bonardo [::mak] (Away 6-20 Aug) 2012-07-13 06:38:51 PDT
Comment on attachment 641555 [details] [diff] [review]
Fix the file

Review of attachment 641555 [details] [diff] [review]:
-----------------------------------------------------------------

while the change is correct, the patch format is not, please check https://developer.mozilla.org/en/Mercurial_FAQ#How_can_I_generate_a_patch_for_somebody_else_to_check-in_for_me.3F
Comment 4 Marco Bonardo [::mak] (Away 6-20 Aug) 2012-07-13 06:40:30 PDT
Comment on attachment 641555 [details] [diff] [review]
Fix the file

Review of attachment 641555 [details] [diff] [review]:
-----------------------------------------------------------------

ehr, for some reason bugzilla showed me something else, sorry :)

Btw, if you could add user and commit message it would be welcome, then just add checkin-needed keyword
Comment 5 Benjamin Kerensa [:bkerensa] 2012-07-22 23:09:52 PDT
I already nuked that branch what specific strings do you need added to the patch for it to be applied?
Comment 6 Benedikt Pfeifer [:Mic] 2013-03-10 12:23:07 PDT
Created attachment 723230 [details] [diff] [review]
Patch with header (commit message, user,..)

> Btw, if you could add user and commit message it would be welcome, then just
> add checkin-needed keyword

I created a new patch, including a username and commit message. I couldn't find any previous patchs and checkins from you though, Benjamin Kerensa. If you'd like to have your name and email adress of your choice there, then replace mine and add the checkin-needed keyword to the whiteboard.

The patch is against mozilla-central and I had updated the repository right before exporting it. If something is wrong, please let me know. It's the first patch I created for m-c.
Comment 7 Benjamin Kerensa [:bkerensa] 2013-03-10 20:41:06 PDT
Comment on attachment 723230 [details] [diff] [review]
Patch with header (commit message, user,..)

># HG changeset patch
># User Benjamin Kerensa <bkerensa@ubuntu.com>
># Date 1362941807 -3600
># Node ID 04cebce82099b05a46fc824adf91cbc91c2056a4
># Parent  b1a08130fae67ee3c02c63349628f5b645030cc1
>Bug 758874 - Test browser_sanitize-download-history.js contains typo in window name; r=mak77
>
>diff --git a/browser/base/content/test/browser_sanitize-download-history.js b/browser/base/content/test/browser_sanitize-download-history.js
>--- a/browser/base/content/test/browser_sanitize-download-history.js
>+++ b/browser/base/content/test/browser_sanitize-download-history.js
>@@ -103,17 +103,17 @@ function test()
>   let dm = Cc["@mozilla.org/download-manager;1"].
>            getService(Ci.nsIDownloadManager);
>   let db = dm.DBConnection;
> 
>   // Empty any old downloads
>   db.executeSimpleSQL("DELETE FROM moz_downloads");
> 
>   // Close the UI if necessary
>-  let win = Services.ww.getWindowByName("Sanatize", null);
>+  let win = Services.ww.getWindowByName("Sanitize", null);
>   if (win && (win instanceof Ci.nsIDOMWindow))
>     win.close();
> 
>   // Start the test when the sanitize window loads
>   Services.ww.registerNotification(function (aSubject, aTopic, aData) {
>     Services.ww.unregisterNotification(arguments.callee);
>     aSubject.QueryInterface(Ci.nsIDOMEventTarget)
>             .addEventListener("DOMContentLoaded", doTest, false);
Comment 8 Benedikt Pfeifer [:Mic] 2013-03-11 02:30:24 PDT
Created attachment 723378 [details] [diff] [review]
Patch with header (commit message, user,..)

This patch is attachment 641555 [details] [diff] [review] with headers and Benjamin Kerensa's user information now. I assume this carries mak77's r+ forward? I would have obsoleted the old patch but I haven't got sufficient rights to do so.


I'm not super-familiar with the checkin-process here but pasting an edited patch in a comment didn't look useful to me. When I wrote "replace" I had expected that you would download, edit and re-upload the diff I created for you.

Thanks for providing your user information!
Comment 9 Ryan VanderMeulen [:RyanVM] 2013-03-11 07:18:51 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/b5448e182c48
Comment 10 Ryan VanderMeulen [:RyanVM] 2013-03-11 17:10:49 PDT
https://hg.mozilla.org/mozilla-central/rev/b5448e182c48

Note You need to log in before you can comment on or make changes to this bug.